Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193093 - snmp backend very slow
Summary: snmp backend very slow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-05-25 06:41 UTC by Stephen Moore
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.2.2-1.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-30 16:11:45 UTC


Attachments (Terms of Use)
snmp log as requested (deleted)
2006-05-29 02:55 UTC, Stephen Moore
no flags Details
updated snmp log as requested (deleted)
2006-06-06 02:19 UTC, Stephen Moore
no flags Details
snmp log (deleted)
2006-06-07 09:29 UTC, MW
no flags Details

Description Stephen Moore 2006-05-25 06:41:06 UTC
Description of problem:
Using the web admin menu clicking on the administration tab causes 100% cpu and
an extended delay (minutes not seconds)

Version-Release number of selected component (if applicable):
cups-1.2.0-1.1

How reproducible:
Slow every time

Steps to Reproduce:
1.Open web browser
2.localhost:631
3.click on administration and wait....
  
Actual results:
Works eventually

Expected results:
Works quickly

Additional info:

Comment 1 Tim Waugh 2006-05-25 09:00:47 UTC
What processor are you using, and what is it's clock speed?  Also, can you
attach /var/log/cups/error_log?  Thanks.

Comment 2 Stephen Moore 2006-05-26 01:56:24 UTC
I have tried multiple machines, my personal machine is a dual core amd 4400

I [26/May/2006:09:05:46 +1000] Full reload complete.
I [26/May/2006:09:05:46 +1000] Listening to :::631 on fd 2...
I [26/May/2006:09:05:46 +1000] Listening to 0.0.0.0:631 on fd 3...
E [26/May/2006:09:05:46 +1000] Unable to set ACLs on root certificate
"/var/run/cups/certs/0" - Operation not supported
I [26/May/2006:09:05:52 +1000] Started "/usr/lib/cups/cgi-bin/admin.cgi" (pid=14412)
I [26/May/2006:09:05:52 +1000] Started "/usr/lib/cups/daemon/cups-deviced"
(pid=14413)
I [26/May/2006:09:06:22 +1000] cupsdCloseClient: SSL shutdown successful!
W [26/May/2006:09:06:22 +1000] [cups-deviced] Backend "snmp" did not respond
within 30 seconds!
I [26/May/2006:09:06:24 +1000] Started "/usr/lib/cups/cgi-bin/admin.cgi" (pid=14436)
I [26/May/2006:09:06:24 +1000] Started "/usr/lib/cups/daemon/cups-deviced"
(pid=14437)
W [26/May/2006:09:06:55 +1000] [cups-deviced] Backend "snmp" did not respond
within 30 seconds!
E [26/May/2006:09:09:16 +1000] PID 14412 (/usr/lib/cups/cgi-bin/admin.cgi)
crashed on signal 9!
I [26/May/2006:09:09:16 +1000] Hint: Try setting the LogLevel to "debug" to find
out more.
I [26/May/2006:09:10:57 +1000] cupsdCloseClient: SSL shutdown successful!
I [26/May/2006:09:10:57 +1000] cupsdCloseClient: SSL shutdown successful!

Comment 3 Tim Waugh 2006-05-26 10:40:20 UTC
Please run this command:

strace -t /usr/lib/cups/backend/snmp 2>snmp.log

and attach the snmp.log file.  Thanks.

Comment 4 Stephen Moore 2006-05-29 02:55:45 UTC
Created attachment 130164 [details]
snmp log as requested

Comment 5 Stephen Moore 2006-05-29 23:28:02 UTC
We have tracked it down from that log to a particular printer. A Kyocera FS1010
with a nic. When we turn it off the admin page loads much faster. I would not
mind if you closed this call.

Cheers

Comment 6 Tim Waugh 2006-05-30 10:37:11 UTC
Thanks.  It's something that would be very good to fix, so I'll keep this report
open.

Comment 7 MW 2006-05-31 21:33:16 UTC
The same effect on freshly installed FC5, updated with old HP Laserjet 4
connected thriugh lpt port.
On IBM Thinkpad t41 with fc5 with the same config everything works OK.

Comment 8 Tim Waugh 2006-06-01 09:40:19 UTC
Reported upstream:

  http://cups.org/str.php?L1737

Comment 9 Tim Waugh 2006-06-02 14:41:38 UTC
Could you please run this command:

CUPS_DEBUG_LEVEL=3 /usr/lib/cups/backend/snmp 2>&1 >snmp.log

and attach the snmp.log file here?  Thanks.

Comment 10 Stephen Moore 2006-06-06 02:19:23 UTC
Created attachment 130593 [details]
updated snmp log as requested

Comment 11 MW 2006-06-07 09:29:26 UTC
Created attachment 130663 [details]
snmp log

Comment 12 Tim Waugh 2006-07-28 15:45:39 UTC
Please try this test update:

https://www.redhat.com/archives/fedora-test-list/2006-July/msg00666.html

You should be able to install this using the command:

  yum --enablerepo=updates-testing 'cups*'

as root.  Does the backend still take a long time?  If so, please show me the
snmp.log from:

  CUPS_DEBUG_LEVEL=3 /usr/lib/cups/backend/snmp 2>&1 >snmp.log

with the new (1.2.2-1.2) packages installed.  Thanks.

Comment 13 MW 2006-08-04 09:39:14 UTC
No, backend seems to work ok. The admin page shows after a short time with
proper content. Thnx


Note You need to log in before you can comment on or make changes to this bug.